> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/nemo-platform/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/nemo-platform/_mcp/server.

# Get Specific ModelDeployment Version

GET /apis/models/v2/workspaces/{workspace}/deployments/{deployment}/versions/{name}

Get a specific version of a ModelDeployment.

Reference: https://docs.nvidia.com/nemo-platform/nemo-platform/v0.3.0/documentation/reference/api-reference/model-deployments/get-deployment-version-apis-models-v-2-workspaces-workspace-deployments-deployment-versions-name-get

## Request

### Path parameters

- `workspace` (string, required)
- `deployment` (string, required)
- `name` (string, required)

## Response

### 200

Return a specific version of a model deployment

- `name` (string, required) — Name of the entity. Name/workspace combo must be unique across all entities. Name must start with a lowercase letter, be 2-63 characters, and use lowercase letters, digits, hyphens, and dots (no consecutive hyphens, cannot end with a hyphen).
- `workspace` (string, required) — The workspace of the entity. Allowed characters: letters (a-z, A-Z), digits (0-9), underscores, hyphens, and dots.
- `created_at` (datetime, required) — The timestamp of model entity creation
- `updated_at` (datetime, required) — The timestamp of the last model entity update
- `entity_version` (integer, required) — Version of this deployment. Automatically managed.
- `config` (string, required) — Reference to the ModelDeploymentConfig name
- `config_version` (integer, required) — Reference to the specific ModelDeploymentConfig version
- `id` (string, optional) — Unique identifier for the deployment
- `project` (string, optional) — The URN of the project associated with this entity.
- `status` (enum, optional, default: UNKNOWN) — Current status of the deployment, populated by models controller
  - Allowed values: `UNKNOWN`, `CREATED`, `PENDING`, `READY`, `ERROR`, `DELETING`, `DELETED`, `LOST`
- `status_message` (string, optional, default: ) — Detailed status message, populated by models controller
- `status_history` (list of object, optional) — History of status changes, ordered chronologically (oldest first)
  - `timestamp` (datetime, required) — When this status was recorded
  - `status` (enum, required) — The status at this point in time
    - Allowed values: `UNKNOWN`, `CREATED`, `PENDING`, `READY`, `ERROR`, `DELETING`, `DELETED`, `LOST`
  - `status_message` (string, optional, default: ) — Status message
- `model_provider_id` (string, optional) — Optional reference to the auto-created ModelProvider workspace/name (format: workspace/name)
- `auth_context` (object, optional) — Auth context captured at deployment creation.
  - `principal_id` (string, required) — The principal's unique identifier
  - `principal_email` (string, optional) — The principal's email address
  - `principal_groups` (list of string, optional) — Groups the principal belongs to
  - `principal_on_behalf_of` (string, optional) — If acting on behalf of another principal, their principal ID
  - `principal_on_behalf_of_groups` (list of string, optional) — Groups the on-behalf-of principal belongs to
  - `principal_on_behalf_of_email` (string, optional) — The on-behalf-of principal's email address

## Examples

**Response**

```json
{
  "name": "llama-3.1-8b",
  "workspace": "string",
  "created_at": "2024-01-15T09:30:00Z",
  "updated_at": "2024-01-15T09:30:00Z",
  "entity_version": 1,
  "config": "string",
  "config_version": 1,
  "id": "string",
  "project": "string",
  "status": "UNKNOWN",
  "status_message": "",
  "status_history": [
    {
      "timestamp": "2024-01-15T09:30:00Z",
      "status": "UNKNOWN",
      "status_message": ""
    }
  ],
  "model_provider_id": "string",
  "auth_context": {
    "principal_id": "string",
    "principal_email": "string",
    "principal_groups": [
      "string"
    ],
    "principal_on_behalf_of": "string",
    "principal_on_behalf_of_groups": [
      "string"
    ],
    "principal_on_behalf_of_email": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.example.com/apis/models/v2/workspaces/workspace/deployments/deployment/versions/name"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.example.com/apis/models/v2/workspaces/workspace/deployments/deployment/versions/name';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/apis/models/v2/workspaces/workspace/deployments/deployment/versions/name"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.example.com/apis/models/v2/workspaces/workspace/deployments/deployment/versions/name")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.example.com/apis/models/v2/workspaces/workspace/deployments/deployment/versions/name")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.example.com/apis/models/v2/workspaces/workspace/deployments/deployment/versions/name');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.example.com/apis/models/v2/workspaces/workspace/deployments/deployment/versions/name");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/apis/models/v2/workspaces/workspace/deployments/deployment/versions/name")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```